<div class="v2c-scheduler">
  <app-content-banner [isDashboard]="false" pageName="Vacancy To Client Scheduler"></app-content-banner>
<mat-card class="v2c-scheduler-main-card mat-elevation-z0">
  <mat-card-header fxLayout="column" fxLayoutGap="10px">
    <app-v2c-agency-site-banner></app-v2c-agency-site-banner>
  </mat-card-header>
  <mat-card-content>
    <div class="example-small-box mat-elevation-z4" fxLayout="column">
      <div class="example-container mat-elevation-z4">
        <ag-grid-angular
          #agGrid id="myGrid"
          style="width: 100%"
          class="ag-theme-balham my-grid"
          [columnDefs]="columnDefs"
          [defaultColDef]="defaultColDef"
          [rowData]="rowData"
          [context]="context"
          [animateRows]="true"
          [gridOptions]="gridOptions"
          [pagination]="true"
          [paginationPageSize]="10"
          (firstDataRendered)="onFirstDataRendered($event)"
          [frameworkComponents]="frameworkComponents"
          (gridReady)="onGridReady($event)">
        </ag-grid-angular>
        <section class="bottom-btn" fxLayout="row">
          <div class="save-btn">
            <!-- <button type="button" (click)="onSave()"  mat-raised-button color="primary">Save</button> -->
            <button type="button" (click)="onClear()"  mat-raised-button color="primary">Clear</button>
          </div>
          <div class="transmit-btn">
            <!-- <button type="button" routerLink="/vcs/c2v-referral-handshake-success" mat-raised-button color="primary">Proceed</button> -->
            <!-- <button type="button" (click)="getSelectedRows()" routerLink="/vcs/client-referral-handshake-success" mat-raised-button color="primary">Proceed</button> -->
          </div>
          <div class="clear-btn">
            <!-- <button type="button" routerLink="/vcs/v2c-referral-handshake-success" mat-raised-button color="primary">Prev</button> -->
            <button type="button" (click)="onNext()" mat-raised-button color="primary">Next</button>
          </div>
        </section>
        <section class="v2c-calendar">
          <app-calendar
            [calendarFor]="['HPSite']"
            [hpSiteID]="hpSiteID"
            [agencySiteInfo]="agencySiteInfo"
            (eventToBeEdited)="vcsReferralInterviewToBeEdited($event)"
            [calendarViewFor]="['Week']"
          >
          </app-calendar>
        </section>
      </div>

    </div>
  </mat-card-content>
</mat-card>
</div>
